precision lowp float;

uniform sampler2D s_texture;
uniform sampler2D s_textureBackNumber;

varying vec4 v_lightColor;
varying vec2 v_texCoord;
varying vec2 v_texBackNumberCoord;

void main()
{
	lowp vec4  txt 			 = texture2D(s_texture, v_texCoord);
	lowp vec4  txtBackNumber = texture2D(s_textureBackNumber, v_texBackNumberCoord);
	
	// apply first blend (back number)
	txt = txt * (1. - txtBackNumber.a) + txtBackNumber * txtBackNumber.a;
	
	gl_FragColor = txt * v_lightColor;
}