uniform    mat4  u_mvpMatrix;
uniform    float u_frame[8];

attribute  vec4  a_position;
attribute  vec2  a_texCoord;
attribute  vec4  a_vertexColor;
attribute  float a_vertexTex;


varying  vec2  v_texCoord; 
varying  vec4  v_color; 


void main()
{
    const vec4 litScale = vec4(1.5, 1.5, 1.5, 1.0);
    gl_Position	  =  u_mvpMatrix * a_position;	
    float  nFrame = u_frame[int(a_vertexTex)]; 	
    v_texCoord    =  vec2(a_texCoord.x, 0.125 * (a_texCoord.y + nFrame));      
    v_color   =  litScale * a_vertexColor;
}