
uniform vec4 u_proj;
uniform mat4 u_bonePallette[51];


attribute vec3 a_boneIndices;
attribute vec3 a_boneWeights;
attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec3 a_normCoord;

varying vec2 v_texCoord;

varying vec4 v_color;

uniform vec4 u_lightAmbient;

void main()
{ 
  mat4 mv = u_bonePallette[int(a_boneIndices.x)] * a_boneWeights.x + u_bonePallette[int(a_boneIndices.y)] * a_boneWeights.y + u_bonePallette[int(a_boneIndices.z)] * a_boneWeights.z;

  vec4 pos = mv * a_position;
  gl_Position = vec4(pos.xy * u_proj.xy, pos.z * u_proj.z + u_proj.w, -pos.z);
  vec3 v_normal = mat3(mv[0].xyz, mv[1].xyz, mv[2].xyz) * a_normCoord;
  
  vec3 norm = normalize(v_normal);
  
  v_color = u_lightAmbient;

  // lazy... lazy... lazy... 
  v_texCoord = vec2(a_texCoord.x, 1.0 - a_texCoord.y);            
}